Subject: Re: draft-ietf-httpbis-http2-latest, 6.8 GOAWAY

From: Martin Thomson <[email-masked]>
Date: Sat, 5 Jul 2014 14:17:51 -0700

Good catch, I think that we'd all be assuming things:
https://github.com/http2/http2-spec/commit/36f06f5e7c481e2559f429a7c27646f322634759

On 5 July 2014 00:29, Kari Hurtta <[email-masked]> wrote:
>
> Hypertext Transfer Protocol version 2
> http://http2.github.io/http2-spec/
> July 3, 2014
>
> 6.8 GOAWAY
> http://http2.github.io/http2-spec/#rfc.section.6.8
>
> | There is an inherent race condition between an endpoint starting new
> | streams and the remote sending a GOAWAY frame. To deal with this case,
> | the GOAWAY contains the stream identifier of the last stream which was
> | or might be processed on the sending endpoint in this connection. …
>
> I do not see that explicitly mentioned, but I suppose that:
>
>   If http server sends GOAWAY frame, Last-Stream-ID is stream identifier which
>   http client is created and server is started processing. ( If http
>   client have not created any streams, Last-Stream-ID is 0. )
>
>   If http client sends GOAWAY frame, Last-Stream-ID is stream identifier
>   which http server is created and client is started processing. ( If http
>   server have not created any streams, Last-Stream-ID is 0. )
>
> That is implicitly mentioned on
>
> | The last stream identifier in the GOAWAY frame contains the highest
> | numbered stream identifier for which the sender of the GOAWAY frame
> | might have taken some action on, or might yet take action on. All
> | streams up to and including the identified stream might have been
> | processed in some way. The last stream identifier can be set to 0 if
> | no streams were processed.
>
> / Kari Hurtta

---

From: Kari Hurtta <[email-masked]>
Date: Sat, 05 Jul 2014 07:30:19 +0000

6.8 GOAWAY

/ Kari Hurtta